Bug 1375061 - RFE: try switching to Liberation Fonts 2 again
Summary: RFE: try switching to Liberation Fonts 2 again
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-12 05:35 UTC by Thorsten Leemhuis
Modified: 2018-12-19 07:54 UTC (History)
11 users (show)

Fixed In Version: liberation-fonts-2.00.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 07:54:03 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot for Liberation1 with no hinting (95.42 KB, image/png)
2018-03-06 07:16 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation1 with hinting, v35 engine. (64.66 KB, image/png)
2018-03-06 07:17 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation1 with hinting, v40 engine (83.88 KB, image/png)
2018-03-06 07:18 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation1 with auto hinting (79.65 KB, image/png)
2018-03-06 07:18 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation2 with no hinting (93.92 KB, image/png)
2018-03-06 07:19 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation2 with hinting, v35 engine (86.99 KB, image/png)
2018-03-06 07:19 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation2 with hinting, v40 engine (87.06 KB, image/png)
2018-03-06 07:20 UTC, Akira TAGOH
no flags Details
Screenshot for Liberation2 with auto hinting (78.50 KB, image/png)
2018-03-06 07:20 UTC, Akira TAGOH
no flags Details

Description Thorsten Leemhuis 2016-09-12 05:35:46 UTC
Description of problem:
The freetype maintainer in https://www.freetype.org/freetype2/docs/subpixel-hinting.html recommends "using the Liberation family of fonts (version 2 and up, important!)" and criticises Fedora because it still ships version 1.x. I think it's time to try switching to v2 again. We tried that a few years ago (https://fedoraproject.org/wiki/Features/Liberation_Fonts_2 ) and stopped it then due to problems (see Bug 856239); but from above recommendation it sounds like the problems we faced might be gone fixed in between.

Comment 1 Nikolaus Waxweiler 2016-09-12 17:46:38 UTC
From skimming the mentioned bug report, I think the "problems" didn't go anywhere. v1 ships with a different hinting strategy than v2. v1 goes for full-pixel snapping of all stems at all sizes like it's Windows 95. v2 goes for a lighter (subpixel) stem snapping all around, giving a much softer ClearType-y look that is still pretty sharp. Using FreeType 2.7 will display both softer than with previous versions. It's guaranteed that people will file bug reports like Bug 856239 again. It's a matter of expectations and getting used to the look of the newer and technically better version.

Comment 2 Nikolaus Waxweiler 2016-09-12 17:51:39 UTC
(It's possible to combine both hinting approaches in one font and have them used depending on FT's TrueType interpreter version, but that would require someone to do the combining work and add old strategy hints to all the newer glyphs of v2. I'm keeping my fingers crossed.)

Comment 3 Pravin Satpute 2016-09-13 06:17:32 UTC
As you know Technically Liberation 1.x and 2.x are different.

For now, i am making Copr repository available for Liberation 2.x, lets again test and have feedback.

Based on user feedback, we can decide what to do.

For F26: We can plan 2 option:
1- Ship Liberation 2.x default and provide Copr repo for Liberation 1.x
2. Ship Liberation 1.x default and provide Copr repo for Liberation 2.x

Comment 4 Thorsten Leemhuis 2016-09-13 07:00:18 UTC
(In reply to Pravin Satpute from comment #3)
> As you know Technically Liberation 1.x and 2.x are different.

Then it imho would be the best to have both in the proper repos, then those users that don't like the new font design can easily stick with 1.x without having to deal with coprs.

But I assume that's not easily possible? I wonder if using alternatives would be worth the hassle.

Comment 5 Viktor Pankraz 2016-09-13 09:43:01 UTC
I would also prefer to have Liberation 2.x as default. Given that Liberation 1.x is buggy in Fedora since 23 (https://bugzilla.redhat.com/show_bug.cgi?id=1336042)

Is the copr repository up already? I would be happy to test.

Comment 6 Pravin Satpute 2016-10-17 10:33:09 UTC
Here is the Copr repo
https://copr.fedorainfracloud.org/coprs/pravins/liberation2/

Let me know if you find any issues while upgrading.

Comment 7 Viktor Pankraz 2016-10-18 07:28:27 UTC
Same issues as with Liberation 1.x. See bug 1336042 :(

Comment 8 Michael Catanzaro 2017-08-28 14:19:42 UTC
Hi, are there plans to move the liberation2 package into Fedora proper? We'd like to update the default font in Workstation.

Comment 9 Pravin Satpute 2017-08-28 22:49:42 UTC
Excellent, i am happy to know this.

Present plan is at https://pagure.io/i18n/issue/77 but it will take some time.

In brief, have both packaged with different name, so it will be on user side to decide which to use.

Michael What timeline are you looking for?

Comment 10 Michael Catanzaro 2017-08-29 00:20:46 UTC
Well it's not urgent, so I don't have a timeline for you. But it'd be nice to ship with the latest Liberation fonts sooner rather than later.

Providing both sets of fonts seems fine. I think we will install only the newer fonts by default, though. So whenever you have the new package ready, let us know and we'll update comps.

P.S. I misspoke is comment #8. Deja Vu fonts are the default fonts in Workstation and we're not planning to change that. I meant to say that we currently have the old Liberation fonts installed by default, and we'd like to ship the new ones instead, following the recommendation of the FreeType maintainer in the last paragraph of https://www.freetype.org/freetype2/docs/subpixel-hinting.html.

Comment 11 Akira TAGOH 2018-03-06 07:16:40 UTC
Created attachment 1404651 [details]
Screenshot for Liberation1 with no hinting

Comment 12 Akira TAGOH 2018-03-06 07:17:28 UTC
Created attachment 1404652 [details]
Screenshot for Liberation1 with hinting, v35 engine.

Comment 13 Akira TAGOH 2018-03-06 07:18:04 UTC
Created attachment 1404653 [details]
Screenshot for Liberation1 with hinting, v40 engine

Comment 14 Akira TAGOH 2018-03-06 07:18:47 UTC
Created attachment 1404654 [details]
Screenshot for Liberation1 with auto hinting

Comment 15 Akira TAGOH 2018-03-06 07:19:16 UTC
Created attachment 1404655 [details]
Screenshot for Liberation2 with no hinting

Comment 16 Akira TAGOH 2018-03-06 07:19:49 UTC
Created attachment 1404656 [details]
Screenshot for Liberation2 with hinting, v35 engine

Comment 17 Akira TAGOH 2018-03-06 07:20:21 UTC
Created attachment 1404657 [details]
Screenshot for Liberation2 with hinting, v40 engine

Comment 18 Akira TAGOH 2018-03-06 07:20:53 UTC
Created attachment 1404658 [details]
Screenshot for Liberation2 with auto hinting

Comment 19 Jens Petersen 2018-03-14 06:17:32 UTC
I understand that v40 is the default FreeType engine now.

Liberation 2.00 looks better overall to me: eg compare the height
of "Th", "d", and numbers for sizes 13, 15, 16.
Liberation 1 sometimes looks a little heavier (due to hinting I guess).

I think we should build liberation-fonts 2.00.1 first for F29 Rawhide,
and then consider updating F28.

Comment 20 Parag Nemade 2018-03-14 08:33:01 UTC
Built the Liberation 2.00.1 upstream release in Fedora 29/rawhide. Please test if you are using rawhide and provide any feedback here or open a new bugzilla if needed.

Comment 21 Nikolaus Waxweiler 2018-03-16 19:30:08 UTC
Did we get https://bugzilla.redhat.com/show_bug.cgi?id=1336042 under control?

Actually, I'd rather see the Liberation fonts leave Fontconfig territory and be converted to UFO sources. Then we'd have up-to-date tooling to build the fonts.

Comment 22 Nikolaus Waxweiler 2018-03-16 19:31:01 UTC
(Err Fontforge territory)


Note You need to log in before you can comment on or make changes to this bug.